<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Dozent\KursUebersicht\KursUebersicht\RechnungsStatus;

use Kufer\KuferTools\Basis\Presenter\JsonPresenter;

class KursUebersichtRechnungsStatusController extends \Kufer\KuferTools\Basis\Controller\AjaxNoContainerToolController
{
  
  protected function getUseCase(): \Kufer\KuferTools\Basis\UseCase\UseCase
  {
    return new KursUebersichtRechnungsStatusUseCase($this->getRequestObj());
  }

  
  protected function getRequestObj()
  {
    $result = new KursUebersichtRechnungsStatusRequest();
    $result->knrAry = \GetOperations::getVarValue('knrs', array());

    return $result;
  }

  
  protected function getPresenter($pUseCaseResponse)
  {
    return new JsonPresenter($pUseCaseResponse);
  }
}